# ====================================================================================
# Licensed Materials - Property of IBM                                  
# IBM WebSphere SDK for Web Services, Version 5.0                     
# (C) Copyright IBM Corp. 2002,2003. All Rights Reserved                
# US Govt. Users Restricted Rights                                      
# Use duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# ====================================================================================
runBean2WebService13 () {
passArgs=$*
goodArgs=

while [ "$1" != "" ]
do 
   if [ "$1" = "-j2ee" ]
      then shift
      shift
   else
      goodArgs="$goodArgs $1"
      shift
   fi
done

. "$binDir/Bean2WebService13.sh" $goodArgs
}

setClassPath () {
if [ "$1" = "6.0" ]
   then classPath="$WSDK_HOME/delegate.jar:$WAS_HOME/lib/commons-logging-api.jar:"
elif [ "$1" = "6.1" ]
   then classPath="$WSDK_HOME/delegate.jar:"
fi
}

filterArgs () {
while [ "$1" != "" ]
do
   if [ "$1" = "-server" ]
   then server=$2
        if [ "$2" = "5.1" ]
        then server=51
        elif [ "$2" = "6.0" ]
        then server=6 
        elif [ "$2" = "6.1" ]
        then server=61 
        fi
   elif [ "$1" = "-j2ee" ]
   then j2ee=$2
        if [ "$2" = "1.3" ]
        then j2ee=13
        elif [ "$2" = "1.4" ]
        then j2ee=14
        fi
   fi
   shift
done
}

server=
j2ee=
classPath=

#filterArgs
#filter arguments to set server and j2ee version
filterArgs $* 

#continue
if [ "$server" = "" ]
   then server=61
fi

# if server is defined and not correct define as WAS v6.1 since java code will accept parameter directly.
if [ "$server" != "" -a "$server" != "51" -a "$server" != "6" -a "$server" != "61" ]
   then server=61
   setClassPath 6.1
elif [ "$j2ee" != "" -a "$j2ee" != "13" -a "$j2ee" != "14" ]
   then server=61
   setClassPath 6.1
fi

args=
binDir=`dirname $0`

if [ "${IBM_RAD_BIN}" = "" ]
then
   . "$binDir/setupenv.sh" "$binDir"
fi

# Set up environment
# AST_DIR="$IBM_RAD_BIN/../eclipse"
WSDK_HOME="$IBM_RAD_BIN/../runtimes/wsdk"
WAS_HOME="$IBM_RAD_BIN/../runtimes/base_v"$server"_stub"

#if server is WAS v5.1
if [ "$server" = "51" ]
then if [ "$j2ee" = "13" ]
     then runBean2WebService13 $*
     exit 0
     elif [ "$j2ee" = "14" ]
     then setClassPath 6.0
     elif [ "$j2ee" = "" ]
     then runBean2WebService13 $*
     exit 0
     fi
fi

#if server is WAS v6.0
if [ "$server" = "6" ] 
then if [ "$j2ee" = "13" ]
     then runBean2WebService13 $*
     exit 0 
     elif [ "$j2ee" = "14" ]
     then setClassPath 6.0 
     elif [ "$j2ee" = "" ]
     then setClassPath 6.0
     fi 
fi

#if server is WAS v6.1
if [ "$server" = "61" ]
then if [ "$j2ee" = "13" ]
     then runBean2WebService13 $*
     exit 0 
     elif [ "$j2ee" = "14" ]
     then setClassPath 6.1
     elif [ "$j2ee" = "" ]
     then setClassPath 6.1
     fi
fi

# Get the classpath argument
finishedParsing=false
foundProject=false
usrClassPath=

while [ $finishedParsing = "false" ]
do
   if [ "$1" = "" ]
      then 
       finishedParsing=true;
      else
       args="$args \"$1\""
   fi  

   if [ "$1" = "-project" -a $foundProject = "false" ]
      then
       mkdir -p "$2/WEB-INF/classes"
		usrClassPath=`pwd`/$2:`pwd`/$2/WEB-INF/classes:$usrClassPath
       foundProject=true
   fi
	
   if [ "$1" = "-cp" ]
      then
	usrClassPath="$2":$usrClassPath
   fi
   shift
done

# Setup some environment variables


# Call the Bean2WebServiceClass

"$WAS_HOME/java/bin/java" -cp $classPath$usrClassPath -Dwsdk.app.server.home="$WAS_HOME" -Dwsad.wsdk.properties="$WSDK_HOME/j2ee14/wsdk.properties" -DWSDK_HOME="$WSDK_HOME" com.ibm.wsdk.delegate.DelegateClass "$WSDK_HOME/j2ee14/ws_cmdline_v"$server"CP.txt" com.ibm.wsdk.tools.tasks.console.Bean2WebService bean2webservice -wsad $args

echo ""

