@rem  ====================================================================================
@rem  Licensed Materials - Property of IBM                                                
@rem  IBM WebSphere SDK for Web Services, Version 5.0                                   
@rem  (C) Copyright IBM Corp. 2002,2003. All Rights Reserved                              
@rem  US Govt. Users Restricted Rights                                                    
@rem  Use duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@rem  ====================================================================================

@echo off

SETLOCAL
set server=
set j2ee=
set classPath=
set projectFound=false
set PROJECTDIR=
set CURDIR=

IF "%IBM_RAD_BIN%" == "" call "%~dp0\setupenv.bat"

:filterArgs
REM filter arguments to set server and J2EE
shift
if /I {%0}=={} goto continue

if /I {%0}=={-server} ( 
set server=%1
if "%1"=="5.1" set server=51
if "%1"=="6.0" set server=6
if "%1"=="6.1" set server=61)

if /I {%0}=={-j2ee} (
set j2ee=%1
if "%1"=="1.3" set j2ee=13
if "%1"=="1.4" set j2ee=14)

if /I {%0}=={-project} (
set projectFound=true
set PROJECTDIR=%1
set CURDIR=%~dp1
)

goto filterArgs

:continue
IF "%server%"=="" set server=61

REM if server is incorrect define as WASv6.1 since java code will accept parameter directly and output error.
if NOT "%server%"=="" if NOT "%server%"=="51" if NOT "%server%"=="6" if NOT "%server%"=="61" (
set server=61
call :setClassPath 6.1)
if NOT "%j2ee%"=="" if NOT "%j2ee%"=="13" if NOT "%j2ee%"=="14" (
set server=61
call :setClassPath 6.1)

set AST_DIR=%IBM_RAD_BIN%..\eclipse

set WAS_HOME=%IBM_RAD_BIN%..\runtimes\base_v%server%_stub

REM if server is WAS v5.1
if "%server%"=="51" (
if "%j2ee%"=="13" (
call :runBean2WebService13 %*
goto :EOF)
if "%j2ee%"=="14" call :setClassPath 6.0
if "%j2ee%"=="" (
call:runBean2WebService13 %*
goto :EOF))

REM if server is WAS v6.0
if "%server%"=="6" (
if "%j2ee%"=="13" (
call :runBean2WebService13 %*
goto :EOF)
if "%j2ee%"=="14" call :setClassPath 6.0
if "%j2ee%"=="" call :setClassPath 6.0)

REM if server is WAS v6.1
if "%server%"=="61" (
if "%j2ee%"=="13" (
call :runBean2WebService13 %*
goto :EOF)
if "%j2ee%"=="14" call :setClassPath 6.1
if "%j2ee%"=="" call :setClassPath 6.1)

goto proceed

:setClassPath
if 6.0==%1 set classPath=%WSDK_HOME%\delegate.jar;%WAS_HOME%\lib\commons-logging-api.jar;
if 6.1==%1 set classPath=%WSDK_HOME%\delegate.jar;
goto :EOF

:runBean2WebService13
set passArgs=%*
set goodArgs=

:loopStart
if "%1"=="" goto exitLoop
if "%1"=="-j2ee" (
shift
shift)
if NOT "%1"=="-j2ee" (
set goodArgs=%goodArgs% %1
shift)
goto loopStart

:exitLoop
call Bean2WebService13.bat %goodArgs%
goto :EOF

:proceed
REM Find the classpath
set CP=
set FULLSTRING=%*
REM Substitute the string "###" to each occurence of the semicolon
set FULLSTRING=%FULLSTRING:;=###%
REM Invoke a subroutine passing the modified string of parameters
call :SUB1 %FULLSTRING%

REM Get back the classpath 
set usrClassPath=%CP%

REM If it is project arg
if %projectFound% == true (
REM remove quotes from PROJECTDIR (similar to PROJECTDIR=%~2)
set PROJECTDIR=%PROJECTDIR:"=%
if not exist "%CURDIR%%PROJECTDIR%" mkdir "%CURDIR%%PROJECTDIR%"
if not exist "%CURDIR%%PROJECTDIR%\WEB-INF" mkdir "%CURDIR%%PROJECTDIR%\WEB-INF"
if not exist "%CURDIR%%PROJECTDIR%\WEB-INF\classes" mkdir "%CURDIR%%PROJECTDIR%\WEB-INF\classes"
set usrClassPath=%CURDIR%%PROJECTDIR%\WEB-INF\classes;%usrClassPath%)

:callJavaClass
REM Set up some environment variables
REM Call the Bean2WebService class with all the arguments and necessary classpath through the Delegateclass in order to bypass classpath length limitation
"%WAS_HOME%\java\bin\java" -cp "%classPath%%usrClassPath%" -Dwsdk.app.server.home="%WAS_HOME%" -Dwsad.wsdk.properties="%WSDK_HOME%\j2ee14\wsdk.properties" -DWSDK_HOME="%WSDK_HOME%" com.ibm.wsdk.delegate.DelegateClass "%WSDK_HOME%\j2ee14\ws_cmdline_v%server%CP.txt" com.ibm.wsdk.tools.tasks.console.Bean2WebService bean2webservice -wsad %*
goto :EOF

REM Subroutine to parse the classpath
REM --------------------------------- 
:SUB1

:LOOP

REM Check if there are parameters left
if {%1}=={} GOTO :EOF

REM Look for the "-cp" flag
if /I {%1}=={-cp} goto :FOUND

REM Shift the parameters for the looping
shift

GOTO :LOOP

:FOUND

REM After "-cp" there must be the path now without semi-colon
REM remove quotes from CP (similar to CP=%~2)
set CP=%2
set CP=%CP:"=%

REM Add back the semicolon
set CP=%CP:###=;%

REM Add the classpath to the arguments
set args=-cp "%CP%;"
set next=%3%

REM Return the subroutine
goto :EOF

:END
ENDLOCAL
@echo on
REM Run setupenv.bat to set the environment variable IBM_RAD_BIN



