@rem Licensed Materials - Property of IBM
@rem IBM WebSphere SDK for Web Services, Version 5.0
@rem (C) Copyright IBM Corp. 2002,2003. All Rights Reserved
@rem US Govt. Users Restricted Rights
@rem Use duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

@echo off
SETLOCAL
set server=
set j2ee=
set classPath=
set projectFound=false
set PROJECTDIR=
set CURDIR=

IF "%IBM_RAD_BIN%" == "" call "%~dp0\setupenv.bat"

REM filter arguments to set server and J2EE
:filterArgs
shift

if /I {%0}=={} goto continue

if /I {%0}=={-server} ( 
set server=%1
if "%1"=="5.1" set server=51
if "%1"=="6.0" set server=6
if "%1"=="6.1" set server=61)

if /I {%0}=={-j2ee} (
set j2ee=%1
if "%1"=="1.3" set j2ee=13
if "%1"=="1.4" set j2ee=14)

if /I {%0}=={-project} (
set projectFound=true
set PROJECTDIR=%1
set CURDIR=%~dp1
)


goto filterArgs

:continue
IF "%server%"=="" set server=61

REM if server is incorrect define as WASv6.1 since java code will accept parameter directly and output error.
if NOT "%server%"=="" if NOT "%server%"=="51" if NOT "%server%"=="6" if NOT "%server%"=="61" (
set server=61
call :setClassPath 6.1)
if NOT "%j2ee%"=="" if NOT "%j2ee%"=="13" if NOT "%j2ee%"=="14" (
set server=61
call :setClassPath 6.1)

set AST_DIR=%IBM_RAD_BIN%..\eclipse

set WAS_HOME=%IBM_RAD_BIN%..\runtimes\base_v%server%_stub



REM if server is WAS v5.1
if "%server%"=="51" (
if "%j2ee%"=="13" (
call :runEJB2WebService13 %*
goto :EOF
)
if "%j2ee%"=="14" call :setClassPath 6.0
if "%j2ee%"=="" (
call :runEJB2WebService13 %*
goto :EOF
)
)

REM if server is WAS v6.0
if "%server%"=="6" (
if "%j2ee%"=="13" (
call :runEJB2WebService13 %*
goto :EOF
)
if "%j2ee%"=="14" call :setClassPath 6.0
if "%j2ee%"=="" call :setClassPath 6.0
)

REM if server is WAS v6.1
if "%server%"=="61" (
if "%j2ee%"=="13" (
call :runEJB2WebService13 %*
goto :EOF
)
if "%j2ee%"=="14" call :setClassPath 6.1
if "%j2ee%"=="" call :setClassPath 6.1)

goto proceed

:setClassPath
if 6.0==%1 set classPath=%WSDK_HOME%\delegate.jar;%WAS_HOME%\lib\j2ee.jar;%WAS_HOME%\lib\commons-logging-api.jar;
if 6.1==%1 set classPath=%WSDK_HOME%\delegate.jar;%WSDK_HOME%\j2ee14\j2ee.jar;
goto :EOF

:runEJB2WebService13
set passArgs=%*
set goodArgs=

:loopStart
if "%1"=="" goto exitLoop
if "%1"=="-j2ee" (
shift
shift)
if NOT "%1"=="-j2ee" (
set goodArgs=%goodArgs% %1
shift)
goto loopStart

:exitLoop
call EJB2WebService13.bat %goodArgs%
goto :EOF

:proceed
REM remove quotes from PROJECTDIR (similar to PROJECTDIR=%~2)
if %projectFound% == true (
set PROJECTDIR=%PROJECTDIR:"=%
if not exist "%CURDIR%%PROJECTDIR%" mkdir "%CURDIR%%PROJECTDIR%"
if not exist "%CURDIR%%PROJECTDIR%\wsdk_temp_jars" mkdir "%CURDIR%%PROJECTDIR%\wsdk_temp_jars"
set usrClassPath=%CURDIR%%PROJECTDIR%;%CURDIR%%PROJECTDIR%\wsdk_temp_jars;)


:callJavaClass
REM Call the EJB2WebService class with all the arguments and necessary classpath through the Delegateclass in order to bypass classpath length limitation
"%WAS_HOME%\java\bin\java" -cp "%classPath%%usrClassPath%" -Dwsdk.app.server.home="%WAS_HOME%" -Dwsad.wsdk.properties="%WSDK_HOME%\j2ee14\wsdk.properties" -DWSDK_HOME="%WSDK_HOME%" com.ibm.wsdk.delegate.DelegateClass "%WSDK_HOME%\j2ee14\ws_cmdline_v%server%CP.txt" com.ibm.wsdk.tools.tasks.console.EJB2WebService ejb2webservice -wsad %*
goto :EOF

:END
ENDLOCAL
@echo on
REM Run setupenv.bat to set the environment variable IBM_RAD_BIN
