@rem  ====================================================================================
@rem  Licensed Materials - Property of IBM                                                
@rem  IBM WebSphere SDK for Web Services, Version 5.0                                   
@rem  (C) Copyright IBM Corp. 2002,2003. All Rights Reserved                              
@rem  US Govt. Users Restricted Rights                                                    
@rem  Use duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@rem  ====================================================================================

@echo off
SETLOCAL

set server=
set j2ee=
set classPath=
set project=
set CURDIR=

IF "%IBM_RAD_BIN%" == "" call "%~dp0\setupenv.bat"

:filterArgs
REM filter arguments to set server and J2EE
shift
if /I {%0}=={} goto continue

if /I {%0}=={-createear} if /I {%j2ee%}=={} (
set CURDIR=%~dp1
call :findProject %*
)


if /I "%0"=="-server" ( 
set server=%1
if "%1"=="5.1" set server=51
if "%1"=="6.0" set server=6
if "%1"=="6.1" set server=61)

if /I "%0"=="-j2ee" (
set j2ee=%1
if "%1"=="1.3" set j2ee=13
if "%1"=="1.4" set j2ee=14)

goto filterArgs

:continue
IF "%server%"=="" set server=61

REM if server is incorrect define as WASv6.1 since java code will accept parameter directly and output error.
if NOT "%server%"=="" if NOT "%server%"=="51" if NOT "%server%"=="6" if NOT "%server%"=="61" (
set server=61
call :setClassPath 6.1)
if NOT "%j2ee%"=="" if NOT "%j2ee%"=="13" if NOT "%j2ee%"=="14" (
set server=61
call :setClassPath 6.1)

set AST_DIR=%IBM_RAD_BIN%..\eclipse

set WAS_HOME=%IBM_RAD_BIN%..\runtimes\base_v%server%_stub

REM if server is WAS v5.1
if "%server%"=="51" (
if "%j2ee%"=="13" (
call :runWSDL2Client13 %*
goto :EOF)
if "%j2ee%"=="14" call :setClassPath 6.0
if "%j2ee%"=="" (
call :runWSDL2Client13 %*
goto :EOF))

REM if server is WAS v6.0
if "%server%"=="6" (
if "%j2ee%"=="13" (
call :runWSDL2Client13 %*
goto :EOF)
if "%j2ee%"=="14" call :setClassPath 6.0
if "%j2ee%"=="" call :setClassPath 6.0)

REM if server is WAS v6.1
if "%server%"=="61" (
if "%j2ee%"=="13" (
call :runWSDL2Client13 %*
goto :EOF)
if "%j2ee%"=="14" call :setClassPath 6.1
if "%j2ee%"=="" call :setClassPath 6.1)

goto proceed

:findProject
if {%1}=={} (
set project=%0
call :findJ2EE
goto :EOF)
shift
goto findProject

:findJ2EE
cd %CURDIR%%project%
IF EXIST .j2ee set j2ee=13
cd %CURDIR%
goto :EOF

:setClassPath
if 6.0==%1 set classPath=%WSDK_HOME%\delegate.jar;%WAS_HOME%\lib\commons-logging-api.jar;
if 6.1==%1 set classPath=%WSDK_HOME%\delegate.jar;
goto :EOF

:runWSDL2Client13
set passArgs=%*
set good Args=

:loopStart
if "%1"=="" goto exitLoop
if "%1"=="-j2ee" (
shift
shift)
if NOT "%1"=="-j2ee" (
set goodArgs=%goodArgs% %1
shift)
goto loopStart

:exitLoop
CALL WSDL2Client13.bat %goodArgs%
goto :EOF                                                                           

:proceed
REM Call the WSDL2WebService class with all the arguments and necessary classpath through the Delegateclass in order to bypass classpath length limitation
"%WAS_HOME%\java\bin\java" -cp "%classPath%%usrClassPath%" -Dwsdk.app.server.home="%WAS_HOME%" -Dwsad.wsdk.properties="%WSDK_HOME%\j2ee14\wsdk.properties" -DWSDK_HOME="%WSDK_HOME%" com.ibm.wsdk.delegate.DelegateClass "%WSDK_HOME%\j2ee14\ws_cmdline_v%server%CP.txt" com.ibm.wsdk.tools.tasks.console.WSDL2Client -wsad %*

goto :EOF

:END
ENDLOCAL
@echo on
REM Run setupenv.bat to set the environment variable IBM_RAD_BIN
